<div class="container">
    <app-asset-button></app-asset-button>
    <br>

    <div class="row">
    <span class="col-6" style="float: left">
      <button type="button" class="btn btn-info" data-toggle="modal" (click)="addAsset()" data-target="#vehicle-Slider">Add vehicle
      </button>
    </span>
        <span class="col-3" style="float: left">
      <button type="button" class="btn btn-info" data-toggle="modal" (click)="downLoadPdf()" >Download vehicle
      </button>
    </span>
        <span class="col-3 pull-right" >
      <div class="input-group">
           <input name="term" [(ngModel)]="term"  class="form-control" placeholder="Search Vehicle Number">
      </div>
    </span>
    </div>
    <br>

</div>

<div class="container">
    <div class="row">
        <table class="table table-bordered">
            <thead>
            <tr>
                <th>Vehicle Type</th>
                <th>Vehicle Number</th>
                <th>Vehicle Make</th>
                <th>Rental Type</th>
                <th>Status</th>
                <th>Lesser Name</th>
                <th>Date of Joining</th>
                <th>EDIT</th>
                <th>DELETE</th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let vehicleAsset of vehicleAssetList | grdFilter: {vehicleNumber: term};">

                <td>{{vehicleAsset.vehicleType}}</td>
                <td>{{vehicleAsset.vehicleNumber}}</td>
                <td>{{vehicleAsset.vehicleMake}}</td>
                <td>{{vehicleAsset.rentalType}}</td>
                <td>{{vehicleAsset.status}}</td>
                <td *ngIf="vehicleAsset && !vehicleAsset.lesserName">-</td>
                <td *ngIf="vehicleAsset && vehicleAsset.lesserName">{{vehicleAsset.lesserName}}</td>
                <td>{{vehicleAsset.dateOfJoining}}</td>

                <td>
                    <button type="button" class="btn btn-warning" data-toggle="modal"
                            (click)="editIntermediatevehicle(vehicleAsset)" data-target="#vehicle-Slider">Edit
                    </button>
                </td>
                <td>
                    <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#deleteModal"
                            (click)="intermerdiateDeleteTranasaction(vehicleAsset)">Delete
                    </button>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div class="col-md-12  col-sm-12 d-flex justify-content-center" style="margin-top: 10px" *ngIf="pagination.totalPageCount>0">
        <ngb-pagination class="d-flex justify-content-center "
                        [collectionSize]="pagination.totalPageCount"
                        [(page)]="pagination.currentPage" [maxSize]="3"
                        [rotate]="true"
                        [boundaryLinks]="true"
                        (pageChange)="getDataByPageNo($event)"
                        [pageSize]="pagination.recordsPerPage"
                        aria-label="Default pagination">

        </ngb-pagination>
    </div>
</div>
<!--(syncUpdateAssetCartEvent)="syncUpdateAssetCart($event)"-->
<div>
    <div class="modal fade right" id="vehicle-Slider" tabindex="-1" role="dialog" style="overflow: auto">
        <div class="modal-dialog modal-lg  modal-lg   form-modal" role="document">
            <div class="modal-content">
                <div class="modal-header" style="background:#7986CB">
                    <button type="button" class="close closeColor" id="modal-close" data-dismiss="modal"><span
                            aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title uppercase" *ngIf="!isEdit">ADD vehicle</h4>
                    <h4 class="modal-title uppercase"  *ngIf="isEdit">EDIT vehicle</h4>
                </div>

                <div class="modal-body">
                    <app-vechicle-asset-from (assetAdded)="assetvehicleAdded($event)"  [vehicleEditId]="vehicleEditDetails._id" [isEditMode]="isEdit"></app-vechicle-asset-from>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="modal" id="deleteModal">
    <div class="modal-dialog">
        <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header">
                <h4 class="modal-title">Delete vehicle Conformation</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>

            <!-- Modal body -->
            <div class="modal-body">
                Are you sure u want to delete vehicle {{vehicleDetails.vehicleName}}
            </div>

            <!-- Modal footer -->
            <div class="modal-footer">
                <button type="button" class="btn btn-danger" data-dismiss="modal"  (click)="deletevehicleDetails(vehicleDetails)">Delete</button>
                <button type="button" class="btn btn-warning" data-dismiss="modal">Close</button>
            </div>

        </div>
    </div>
</div>
